LINUX.ORG.RU

Xorg macros не могу найти на Trisquel ?

 , ,


0

1

Хочу установить графический драйвер intel, скаченный отсюда http://www.linuxfromscratch.org/blfs/view/svn/x/x7driver.html#xorg-intel-driver

Не получается:

# ./autogen.sh
.
autoreconf: Entering directory `.'
autoreconf: configure.ac: not using Gettext
autoreconf: running: aclocal -I m4
configure.ac:55: error: must install xorg-server macros before running autoconf/autogen.
  Hint: either install from source, git://anongit.freedesktop.org/xorg/xserver or,
  depending on your distribution, try package 'xserver-xorg-dev' or 'xorg-x11-server-devel'
configure.ac:55: the top level
autom4te: /usr/bin/m4 failed with exit status: 1
aclocal: error: echo failed with exit status: 1
autoreconf: aclocal failed with exit status: 1


# apt-get install xutils-dev xutils x11-utils x11-xserver-utils

# ./autogen.sh
..не работает с той же ошибкой..


# apt-cache search x*macr | nc termbin.com 9999
http://termbin.com/bgxm

# apt-cache search x*util | nc termbin.com 9999
http://termbin.com/492k

#  apt-file search macros | grep xorg
xutils-dev: /usr/share/aclocal/xorg-macros.m4
xutils-dev: /usr/share/pkgconfig/xorg-macros.pc


# apt-cache policy xutils-dev
xutils-dev:
  Установлен: 1:7.7+3ubuntu2
  Кандидат:   1:7.7+3ubuntu2
  Таблица версий:
 *** 1:7.7+3ubuntu2 500
        500 https://archive.trisquel.info/trisquel flidas/main amd64 Packages
        100 /var/lib/dpkg/status


# echo $PKG_CONFIG_PATH

#

Подскажите, пожалуйста, пользователи Линукс, что надо настроить?

★★

Хочу установить графический драйвер intel, скаченный отсюда

Последний здесь

configure.ac:55: error: must install xorg-server macros before running autoconf/autogen.

Это он ругается на отсутствие xorg-x11-server-devel (в дебианах наверное по другому называется):

/usr/include/xorg/*.h
/usr/lib64/pkgconfig/xorg-server.pc
/usr/share/aclocal/xorg-server.m4

arson ★★★★★ ()
Ответ на: комментарий от arson

спасибо, попробую. начал ставить xserver-xorg-dev, он затребовал mesa-comon-dev, который потребовал libdrm2 более ранней версии, я выполнил `apt-get install libdrm2=2.4.67-1` (хотя установлена была 2.4.83) согласился на удаление пакетов, зависящих от этого. теперь он предлагает их удалить с помощью apt autoremove. `apt-get upgrade libdrm2` не помогает:

# apt-get upgrade libdrm2
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Уже установлен пакет libdrm2 самой новой версии (2.4.67-1).
Расчёт обновлений… Готово
Следующие пакеты устанавливались автоматически и больше не требуются:
  audacity-data ca-certificates-java dconf-cli default-jre-headless
  esound-common evince-common filezilla-common fonts-dejavu fonts-dejavu-extra
  fonts-liberation fonts-opensymbol fonts-sil-gentium fonts-sil-gentium-basic
  fonts-stix gir1.2-atk-1.0 gir1.2-dbusmenu-glib-0.4 gir1.2-dee-1.0
  gir1.2-freedesktop gir1.2-gdkpixbuf-2.0 gir1.2-gnomekeyring-1.0
  gir1.2-ibus-1.0 gir1.2-javascriptcoregtk-4.0 gir1.2-notify-0.7
  gir1.2-pango-1.0 gir1.2-soup-2.4 gir1.2-unity-5.0 gksu gnome-desktop3-data
  gpicview gtk2-engines-murrine gtk2-engines-pixbuf java-common leafpad
  libabw-0.1-1v5 libass5 libatk-bridge2.0-0 libatspi2.0-0 libaudcore5
  libaudgui5 libaudiofile1 libaudtag3 libavcodec-ffmpeg56 libavformat-ffmpeg56
  libavresample-ffmpeg2 libavutil-ffmpeg54 libbluray1 libboost-date-time1.58.0
  libboost-filesystem1.58.0 libboost-system1.58.0 libbs2b0 libcapnp-0.5.3
  libcddb2 libcdio-cdda1 libcdio-paranoia1 libcdr-0.1-1 libchromaprint0
  libclucene-contribs1v5 libclucene-core1v5 libcmis-0.5-5v5 libcolord2
  libconfig9 libcrystalhd3 libcue1 libdbusmenu-gtk3-4 libdc1394-22 libdca0
  libde265-0 libdirectfb-1.2-9 libdiscid0 libdjvulibre-text libdjvulibre21
  libdrm-common libdrm-nouveau2 libdrm-radeon1 libe-book-0.1-1
  libebook-contacts-1.2-2 libenca0 libeot0 libepoxy0 libept1.5.0 libesd0
  libetonyek-0.1-1 libevdev2 libevent-core-2.0-5 libevent-pthreads-2.0-5
  libexttextcat-2.0-0 libexttextcat-data libfaad2 libfcitx-gclient0
  libfcitx-utils0 libfilezilla0 libflac++6v5 libflite1 libfluidsynth1
  libfreehand-0.1-1 libgavl1 libgck-1-0 libgcr-3-common libgcr-base-3-1
  libgda-5.0-4 libgda-5.0-common libgksu2-0 libglapi-mesa libgme0 libgmlib1
  libgmtk1-data libgnome-keyring-common libgnome-keyring0 libgnomekbd-common
  libgoffice-0.10-10-common libgoocanvas-common libgoocanvas3 libgpod4
  libgsf-1-114 libgsf-1-common libgsm1 libgtop-2.0-10 libgtop2-common
  libguess1 libgusb2 libgxps2 libhsqldb1.8.0-java libhyphen0 libid3tag0
  libimlib2 libinput-bin libinput10 libjavascriptcoregtk-1.0-0
  libjavascriptcoregtk-3.0-0 libjavascriptcoregtk-4.0-18 libkate1
  libkeybinder0 liblangtag-common liblangtag1 liblightdm-gobject-1-0
  liblilv-0-0 liblircclient0 libllvm5.0 libloudmouth1-0 libmhash2 libmimic0
  libminiupnpc10 libmirclient9 libmircommon7 libmircore1 libmirprotobuf3
  libmjpegutils-2.1-0 libmlt-data libmms0 libmodplug1 libmovit4
  libmpeg2encpp-2.1-0 libmplex2-2.1-0 libmspub-0.1-1 libmtdev1
  libmusicbrainz3-6v5 libmwaw-0.3-3 libmythes-1.2-0 libnatpmp1 libndp0
  libneon27-gnutls libnm-glib-vpn1 libnm-gtk-common libnm0 libnma-common
  libobrender32 libobt2 libodfgen-0.1-1 libofa0 libopenal-data libopenal1
  libopenjpeg5 liborcus-0.10-0v5 libots0 libpagemaker-0.0-0 libpcre16-3
  libpeas-common libpkcs11-helper1 libportaudio2 libportsmf0v5
  libpostproc-ffmpeg53 libprotobuf-lite9v5 libpugixml1v5 libqt5concurrent5
  libqt5core5a libqt5dbus5 libqt5network5 libqt5xml5 libraptor2-0 librasqal3
  librdf0 libreoffice-common libreoffice-java-common
  libreoffice-style-elementary libreoffice-style-galaxy librest-0.7-0
  librevenge-0.0-0 libsbc1 libsbsms10 libschroedinger-1.0-0 libserd-0-0
  libservlet3.1-java libshine3 libsidplayfp4 libsnappy1v5 libsndio6.1
  libsodium18 libsord-0-0 libsoundtouch1 libsoup-gnome2.4-1 libsox-fmt-alsa
  libsox-fmt-base libsox2 libsoxr0 libspandsp2 libspectre1 libsratom-0-0
  libsrtp0 libssh-gcrypt-4 libsuil-0-0 libswresample-ffmpeg1
  libswscale-ffmpeg3 libtbb2 libtelepathy-glib0 libtidy-0.99-0 libva-drm1
  libva-wayland1 libva-x11-1 libvamp-hostsdk3v5 libvdpau1 libvisio-0.1-1
  libvo-aacenc0 libvo-amrwbenc0 libvorbisidec1 libvte-2.91-common
  libwacom-common libwacom2 libwayland-client0 libwayland-cursor0
  libwayland-server0 libwebkitgtk-1.0-common libwebkitgtk-3.0-common
  libwebpdemux1 libwildmidi-config libwildmidi1 libwnck-3-common
  libwnck-common libwnck22 libwpd-0.10-10 libwpg-0.3-3 libwps-0.4-4
  libwv-1.2-4 libwxbase3.0-0v5 libx265-79 libxcb-dri2-0 libxcb-dri3-0
  libxcb-glx0 libxcb-icccm4 libxcb-image0 libxcb-keysyms1 libxcb-present0
  libxcb-randr0 libxcb-render-util0 libxcb-shape0 libxcb-sync1 libxcb-xfixes0
  libxcb-xkb1 libxkbcommon-x11-0 libxkbcommon0 libxklavier16 libxres1
  libxshmfence1 libxvidcore4 libxvmc1 libxxf86dga1 libyajl2 libzbar0
  libzeitgeist-2.0-0 libzmq5 libzvbi-common libzvbi0 liferea-data lp-solve
  lxappearance lxappearance-obconf lxde-common lxde-core lxinput lxpanel
  lxpanel-data lxrandr lxsession lxsession-edit network-manager
  network-manager-openvpn openbox openjdk-8-jre-headless openshot-doc openvpn
  p11-kit p11-kit-modules python-central python-gconf python-gdbm
  python-httplib2 python-imaging python-pil python-pygoocanvas python-xdg
  python3-cairo python3-lxml qttranslations5-l10n system-config-printer-common
  transmission-common uno-libs3 update-notifier-common ure wpasupplicant
  x11-apps x11-session-utils xarchiver xinit xinput yelp-xsl zenity-common
Для их удаления используйте «apt autoremove».
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.

как вернуть libdrm2 обратно к версии 2.4.83 и вернуть в работу все пакеты?

znavko ★★ ()
Ответ на: комментарий от znavko

как вернуть libdrm2 обратно к версии 2.4.83 и вернуть в работу все пакеты?

Не знаю я ничего про ваши дебианы.
Подозреваю что так же, как ты ставил 2.4.67.

arson ★★★★★ ()
Ответ на: комментарий от znavko

начал ставить xserver-xorg-dev, он затребовал mesa-comon-dev, который потребовал libdrm2 более ранней версии

Не зря этот дистрибутив назвали в честь символа BDSM.

proud_anon ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.